package com.keao.edu.user.dto;

import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2020.06.30
 */
public class ExamRoomStatisticsDto {

    @ApiModelProperty(value = "考场数量")
    private int examRoomNum;

    @ApiModelProperty(value = "考场分派老师数量")
    private int examRoomTeacherNum;

    @ApiModelProperty(value = "已安排考试学生数量")
    private int inRoomStudentNum;

    @ApiModelProperty(value = "总报名学生数量")
    private int totalRegistrationStudentNum;

    @ApiModelProperty(value = "第一次考试时间")
    private Date firstExamTime;

    @ApiModelProperty(value = "最后一次考试时间")
    private Date lastExamTime;

    public int getExamRoomNum() {
        return examRoomNum;
    }

    public void setExamRoomNum(int examRoomNum) {
        this.examRoomNum = examRoomNum;
    }

    public int getExamRoomTeacherNum() {
        return examRoomTeacherNum;
    }

    public void setExamRoomTeacherNum(int examRoomTeacherNum) {
        this.examRoomTeacherNum = examRoomTeacherNum;
    }

    public int getInRoomStudentNum() {
        return inRoomStudentNum;
    }

    public void setInRoomStudentNum(int inRoomStudentNum) {
        this.inRoomStudentNum = inRoomStudentNum;
    }

    public int getTotalRegistrationStudentNum() {
        return totalRegistrationStudentNum;
    }

    public void setTotalRegistrationStudentNum(int totalRegistrationStudentNum) {
        this.totalRegistrationStudentNum = totalRegistrationStudentNum;
    }

    public Date getFirstExamTime() {
        return firstExamTime;
    }

    public void setFirstExamTime(Date firstExamTime) {
        this.firstExamTime = firstExamTime;
    }

    public Date getLastExamTime() {
        return lastExamTime;
    }

    public void setLastExamTime(Date lastExamTime) {
        this.lastExamTime = lastExamTime;
    }
}
